| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions
Tp::ConnectionCapabilities Class Reference
Connection proxies

The ConnectionCapabilities class represents the capabilities of a Connection. More...

`#include <TelepathyQt/ConnectionCapabilities>`

Inherits Tp::CapabilitiesBase.

List of all members.

## Public Member Functions

- ConnectionCapabilities ()
- virtual ~ConnectionCapabilities ()
- bool textChatrooms () const
- bool conferenceStreamedMediaCalls () const
- bool conferenceStreamedMediaCallsWithInvitees () const
- bool conferenceTextChats () const
- bool conferenceTextChatsWithInvitees () const
- bool conferenceTextChatrooms () const
- bool conferenceTextChatroomsWithInvitees () const
- bool contactSearches () const
- bool contactSearchesWithSpecificServer () const
- bool contactSearchesWithLimit () const
- bool dbusTubes () const
- bool streamTubes () const

## Protected Member Functions

- ConnectionCapabilities (const RequestableChannelClassList &rccs)
- ConnectionCapabilities (const RequestableChannelClassSpecList &rccSpecs)

## Detailed Description

The ConnectionCapabilities class represents the capabilities of a Connection.

## Constructor & Destructor Documentation

Tp::ConnectionCapabilities::ConnectionCapabilities | ( |  | ) |

Construct a new ConnectionCapabilities object.

Tp::ConnectionCapabilities::~ConnectionCapabilities | ( |  | ) | `[virtual]`

Class destructor.

Tp::ConnectionCapabilities::ConnectionCapabilities | ( | const RequestableChannelClassList & | rccs | ) | `[protected]`

Construct a new ConnectionCapabilities object using the give rccs.

Parameters:

  rccs | RequestableChannelClassList representing the capabilities of a Connection.

Tp::ConnectionCapabilities::ConnectionCapabilities | ( | const RequestableChannelClassSpecList & | rccSpecs | ) | `[protected]`

Construct a new ConnectionCapabilities object using the give rccSpecs.

Parameters:

  rccSpecs | RequestableChannelClassSpecList representing the capabilities of a Connection.

## Member Function Documentation

bool Tp::ConnectionCapabilities::textChatrooms | ( |  | ) | const

Return true if named text chatrooms can be joined by providing a chatroom identifier.

If the protocol is such that chatrooms can be joined, but only via a more elaborate D-Bus API than normal (because more information is needed), then this method will return false.

Returns:
  `true` if Account::ensureTextChatroom() can be expected to work.

bool Tp::ConnectionCapabilities::conferenceStreamedMediaCalls | ( |  | ) | const

Return whether creating conference media calls is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::conferenceStreamedMediaCallsWithInvitees | ( |  | ) | const

Return whether creating conference media calls is supported.

This method will also check whether inviting new contacts when creating a conference media call channel by providing additional members to initial invitees (as opposed to merging several channels into one new conference channel) is supported.

If providing additional members is supported, it is also possible to request conference media calls with fewer than two (even zero) already established media calls.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::conferenceTextChats | ( |  | ) | const

Return whether creating conference text chats is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::conferenceTextChatsWithInvitees | ( |  | ) | const

Return whether creating conference text chats is supported.

This method will also check whether inviting new contacts when creating a conference text chat channel by providing additional members to initial invitees (as opposed to merging several channels into one new conference channel) is supported.

If providing additional members is supported, it is also possible to request conference text chats with fewer than two (even zero) already established text chats.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::conferenceTextChatrooms | ( |  | ) | const

Return whether creating conference text chat rooms is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::conferenceTextChatroomsWithInvitees | ( |  | ) | const

Return whether creating conference text chat rooms is supported.

This method will also check whether inviting new contacts when creating a conference text chat room channel by providing additional members to initial invitees (as opposed to merging several channels into one new conference channel) is supported.

If providing additional members is supported, it is also possible to request conference text chat rooms with fewer than two (even zero) already established text chat rooms.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::contactSearches | ( |  | ) | const

Return whether creating a ContactSearch channel is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::contactSearchesWithSpecificServer | ( |  | ) | const

Return whether creating a ContactSearch channel specifying a server is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::contactSearchesWithLimit | ( |  | ) | const

Return whether creating a ContactSearch channel specifying a limit is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::dbusTubes | ( |  | ) | const

Return whether creating a DBusTube channel by providing a contact identifier is supported.

Returns:
  `true` if supported, `false` otherwise.

bool Tp::ConnectionCapabilities::streamTubes | ( |  | ) | const

Return whether creating a StreamTube channel by providing a contact identifier is supported.

Returns:
  `true` if supported, `false` otherwise.